NameSampleDataStream (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.namefind

## Class NameSampleDataStream

- java.lang.Object
- - opennlp.tools.util.FilterObjectStream<String,NameSample>
  - - opennlp.tools.namefind.NameSampleDataStream

- All Implemented Interfaces:
    AutoCloseable, ObjectStream<NameSample>

      public class NameSampleDataStream
      extends FilterObjectStream<String,NameSample>

  The `NameSampleDataStream` class converts tagged `String`s provided by a `DataStream` to `NameSample` objects. It uses text that is is one-sentence per line and tokenized with names identified by `<START>` and `<END>` tags.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `END_TAG`
    `static String` | `START_TAG`
    `static String` | `START_TAG_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameSampleDataStream(ObjectStream<String> in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NameSample` | `read()` Returns the next object.

    - ### Methods inherited from class opennlp.tools.util.FilterObjectStream

      `close, reset`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### START_TAG_PREFIX

          public static final String START_TAG_PREFIX

      See Also:
        Constant Field Values

    - #### START_TAG

          public static final String START_TAG

      See Also:
        Constant Field Values

    - #### END_TAG

          public static final String END_TAG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NameSampleDataStream

          public NameSampleDataStream(ObjectStream<String> in)

  - ### Method Detail

    - #### read

          public NameSample read()
                          throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next object. Calling this method repeatedly until it returns null will return each object from the underlying source exactly once.
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading

Copyright © 2026 The Apache Software Foundation. All rights reserved.